Validate

Validates a license

POST https://api.keyzy.io/v2/licenses/valid

Parameters

ParameterDescription
app_idAn app_id that has read permission
api_keyAn api_key that has read permission
codeA product code
serialA license (serial number) to validate
versionThis is a constant to get the right result. It should be “2.0”
host_id (optional)An id to recognize the device
device_tag (optional)An operating system and bits information. Sample: “Windows 10__64bits”

Returns

Keyzy responds with an object containing the status of the validation and some other useful information if the request is correct.

{
  "data": {
    "message": "valid",
    "licensee_name": "name of the licensee",
    "licensee_email": "licensee@email.com",
    "sku_number": "your-sku-number",
    "product_code": "the-product-code",
    "version_code": "version-code-string"
  }
}